Bug 23581 - RFE: Korean input method request i18n
Summary: RFE: Korean input method request i18n
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-08 16:33 UTC by Brock Organ
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-16 08:27:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xinput file (2.76 KB, text/plain)
2001-05-16 08:27 UTC, Jong-Hoon, Ryu
no flags Details

Description Brock Organ 2001-01-08 16:33:05 UTC
I received this request from a user who was having trouble entereing this
directly into bugzilla ...

From queenrjh@chollian.net Mon Jan  8 11:35:14 2001
Date: Tue, 9 Jan 2001 01:21:35 +0900
From: 7yA>HF <queenrjh@chollian.net>
To: borgan@redhat.com
Subject: input method for X server


 hello, 

 I'm so sorry for private mail.

 but  It coudn't accept to the bugzilla..

 I don't know why..



 this is very useful for korean

 also, very important to us..

 it's been verified to our korean user.


 plz, add input method of korean for X server to "xinput" file.


 this is the body below..

#!/bin/bash
# (c) 1999, 2000 Red Hat, Inc.

# As a slightly evil hack, if we are running in Japanese,
# we start the input method here to avoid having to do it for
# each desktop environment separately. 
#
# This unfortunately will require the user to create there
# own .Xclients if they want to use a different XIM
# server.  (OWT 10/20/99)
#
# The input method server will die with X

# Determine the LC_CTYPE locale category setting
    tmplang="en_US"
    if test x$LC_ALL != x ; then
        tmplang=$LC_ALL
    elif test x$LC_CTYPE != x ; then
        tmplang=$LC_CTYPE
    elif test x$LANG != x ; then
        tmplang=$LANG
    fi

    case $tmplang in 
        ja_JP*)
            export XMODIFIERS="@im=kinput2"
            kinput2 &
            ;;

        ko*)
            export XMODIFIERS="@im=Ami"
#          ami &
            ;;
    esac



 I hope to see it for RawHide..

 thanks for read this..

Comment 1 Jong-Hoon, Ryu 2001-01-11 08:26:29 UTC
 I propose New idea for xinput..

 it was made by won-kyu, park who chair of KLE (Korean Extension Project)

 I'm just a reporter..   he's mail address is  kle@kldp.org


 this is the Newest xinput file below..


#!/bin/sh
#
# New replacement for RH7.0 /etc/X11/xinit/xinitrc.d/xinput
#

tmplang="en_US"
if test x$LC_ALL != x ; then
    tmplang=$LC_ALL
elif test x$LC_CTYPE != x ; then
    tmplang=$LC_CTYPE
elif test x$LANG != x ; then
    tmplang=$LANG
fi

# tmplang=`locale |grep LC_CTYPE |sed -e "s/^LC_CTYPE=//"`

#
# check to see if the user has a preferred desktop
#

PREFERRED=
if [ -f /etc/sysconfig/desktop ]; then
 if grep -q "GNOME" /etc/sysconfig/desktop 2>/dev/null; then
	 PREFERRED=gnome
 elif grep -q "KDE" /etc/sysconfig/desktop 2>/dev/null; then
	 PREFERRED=kde
 fi
fi

if [ -z "$PREFERRED" ]; then

 GSESSION=gnome-session
 STARTKDE=startkde

 # by default, we run GNOME.
 if which $GSESSION >/dev/null 2>&1; then
 	PREFERRED=gnome
 fi

 # if GNOME isn't installed, try KDE.
 if which $STARTKDE >/dev/null 2>&1; then
 	PREFERRED=kde
 fi
fi

#
# check $XIM and set a default $XIM value.
#
if [ -z "$XIM" ]; then
    case $tmplang in 
        ko*)
            if [ -e /usr/bin/ami ]; then
		    XIM="Ami"
            elif [ -e /usr/bin/hanIM ]; then
		    XIM="hanIM"
            fi
        ;;
        ja*)
	    if [ -e /usr/bin/kinput2 ]; then
		    XIM="kinput2"
	    fi
        ;;
        zh_CN*)
	    if [ -e /usr/bin/xcin ]; then
		export LC_CTYPE=zh_CN.GB2312
		XIM="xcin-zh_CN.GB2312"
	    fi
        ;;
        zh_TW*)
	    if [ -e /usr/bin/xcin ]; then
		export LC_CTYPE=zh_TW.Big5
		XIM="xcin"
	    fi
        ;;
        *)
	    XIM="none"
        ;;
    esac
fi

#
# set a proper XIM program with respect to $XIM
#
if [ -z "$XIM_PROGRAM" ]; then
   case "$XIM" in
      Ami)
	case "$PREFERRED" in
	   gnome)
		if which ami_applet >/dev/null 2>&1 ; then
			XIM_PROGRAM=ami_applet
			XIM_ARGS="--activate-goad-server ami_applet"
		elif which ami >/dev/null 2>&1 ; then
			XIM_PROGRAM=ami
		fi
		if [ "$XIM_PROGRAM" = "ami_applet" ] && grep -
q "=ami_applet" $HOME/.gnome/panel.d/default/Applet_Config 2>/dev/null; then
			XIM_PROGRAM=/bin/true
			XIM_ARGS=
		fi
	  ;;
	  kde)
		if which wmami >/dev/null 2>&1 ; then
			XIM_PROGRAM=wmami
		elif which ami >/dev/null 2>&1 ; then
			XIM_PROGRAM=ami
		fi
          ;;
	  *)
		if which ami >/dev/null 2>&1 ; then
			XIM_PROGRAM=ami
		fi
          ;;
	esac
	;;
      hanIM)
	if which hanIM >/dev/null 2>&1 ; then
		XIM_PROGRAM=hanIM
	fi
	;;
      xcin*)
	XIM_PROGRAM=xcin ;;
      kinput2)
	XIM_PROGRAM=kinput2 ;;
      *)
	XIM_PROGRAM=/bin/true ;;
   esac
fi
[ -z "$XMODIFIERS" -a -n "$XIM" ] && export XMODIFIERS="@im=$XIM"

# execute XIM_PROGRAM

if which $XIM_PROGRAM >/dev/null 2>&1 ; then
	$XIM_PROGRAM $XIM_ARGS&
fi

# echo for testing :-)
echo $PREFERRED
echo $XMODIFIERS
echo $XIM
echo $XIM_PROGRAM $XIM_ARGS



Comment 2 Mike A. Harris 2001-05-15 09:39:37 UTC
Please if you can, resubmit the file as a proper file attachment using
the file attachment link below.  I do not have good experiences with
cut and paste - it usually munges the data.

Comment 3 Jong-Hoon, Ryu 2001-05-16 08:27:53 UTC
Created attachment 18590 [details]
xinput file

Comment 4 Mike A. Harris 2001-07-31 06:58:47 UTC
Whoopsie..  Aparently we've implemented this a while back
and the bug report did not get closed.  It is in rawhide now at least
so I am closing it as rawhide although it might be in earlier release also.

If there are any problems, please fle a new report.

Enjoy!


Note You need to log in before you can comment on or make changes to this bug.